Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.security.assertion
Class ConfidentialityAssertion

    java.lang.Object
      weblogic.xml.security.assertion.ConfidentialityAssertion

All Implemented Interfaces:
  SecurityAssertion

Direct Known Subclasses:
  ElementConfidentialityAssertion

Deprecated. please use new WS Security API

public class ConfidentialityAssertion
extends Object
implements SecurityAssertion

ConfidentialityAssertion.java This class represents an assertion about the confidentiality of a document or message. This assertion inidicates that the body of the SOAP message was encrypted. Created: Thu Aug 8 09:05:04 2002

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected String` | `id` Deprecated.

Fields inherited from interface weblogic.xml.security.SecurityAssertion
`CONFIDENTIALITY_ASSERTION, CONFIDENTIALITY_CODE, IDENTITY_ASSERTION, IDENTITY_CODE, INTEGRITY_ASSERTION, INTEGRITY_CODE, TYPE_CONFIDENTIALITY_ASSERTION, TYPE_CONFIDENTIALITY_CODE, TYPE_INTEGRITY_ASSERTION, TYPE_INTEGRITY_CODE`

Constructor Summary
`ConfidentialityAssertion(String id)` Deprecated.

Method Summary
`String` | `getAssertionType()` Deprecated. `getAssertionType` returns the type of the assertion (e.g.
`int` | `getAssertionTypeCode()` Deprecated. Returns an integer that uniquely identifies the type of assertion.
`String` | `getId()` Deprecated.
`boolean` | `isAssertionType(String assertionType)` Deprecated. `isAssertionType` tests to see whether the type of the assertion matches the passed in type.
`boolean` | `repudiable()` Deprecated. `repudiable` returns repudiablility of an assertion -- i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected String id

  Deprecated.

Constructor Detail

### ConfidentialityAssertion

    public ConfidentialityAssertion(String id)

  Deprecated.

Method Detail

### getAssertionType

    public String getAssertionType()

  Deprecated.
  Description copied from interface: `SecurityAssertion`
  `getAssertionType` returns the type of the assertion (e.g. identity, integrity, confidentiality) as a string.

  Specified by:
    `getAssertionType` in interface `SecurityAssertion`
  Returns:
    a `String` value representing the assertion type

### getAssertionTypeCode

    public int getAssertionTypeCode()

  Deprecated.
  Description copied from interface: `SecurityAssertion`
  Returns an integer that uniquely identifies the type of assertion.

  Specified by:
    `getAssertionTypeCode` in interface `SecurityAssertion`
  Returns:

### getId

    public String getId()

  Deprecated.

### isAssertionType

    public boolean isAssertionType(String assertionType)

  Deprecated.
  Description copied from interface: `SecurityAssertion`
  `isAssertionType` tests to see whether the type of the assertion matches the passed in type.

  Specified by:
    `isAssertionType` in interface `SecurityAssertion`
  Parameters:
    `assertionType` - a `String` value
  Returns:
    a `boolean` value indicating the match result.

### repudiable

    public boolean repudiable()

  Deprecated.
  Description copied from interface: `SecurityAssertion`
  `repudiable` returns repudiablility of an assertion -- i.e. can the the creator reasonably deny that they performed the operation that backs this assertion. This is generally true for public/private key based operations where the operation is performed by the private key that is available only to a single individual or entity. True non-repudiation is only acheived in the context of solid practices (e.g. secure storage of keys, regular updates of revocation lists, certificate chain validation, etc.) and binding agreements between parties. This property indicates only that the backing operation supports non-repudiation.

  Specified by:
    `repudiable` in interface `SecurityAssertion`
  Returns:
    a `boolean` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD